Bug 667907 (CVE-2010-4648) - CVE-2010-4648 kernel: orinoco: fix TKIP countermeasure behaviour
Summary: CVE-2010-4648 kernel: orinoco: fix TKIP countermeasure behaviour
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4648
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101208,reported=20110107,sou...
Depends On: 667908 667909 667910
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-07 08:52 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:42 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:37:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0330 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-03-10 20:04:13 UTC
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description Eugene Teo (Security Response) 2011-01-07 08:52:26 UTC
Enable the port when disabling countermeasures, and disable it on enabling countermeasures.
            
This bug causes the response of the system to certain attacks to be ineffective.
                        
It also prevents wpa_supplicant from getting scan results, as wpa_supplicant disables countermeasures on startup - preventing the hardware from scanning.
                                        
wpa_supplicant works with ap_mode=2 despite this bug because the commit handler re-enables the port.
                                                    
The log tends to look like:
                                                            
State: DISCONNECTED -> SCANNING
Starting AP scan for wildcard SSID
Scan requested (ret=0) - scan timeout 5 seconds
EAPOL: disable timer tick
EAPOL: Supplicant port status: Unauthorized
Scan timeout - try to get results
Failed to get scan results
Failed to get scan results - try scanning again
Setting scan request: 1 sec 0 usec
Starting AP scan for wildcard SSID
Scan requested (ret=-1) - scan timeout 5 seconds
Failed to initiate AP scan.

Upstream commit:
http://git.kernel.org/linus/0a54917c3fc295cb61f3fb52373c173fd3b69f48

Comment 3 Eugene Teo (Security Response) 2011-01-11 08:58:14 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 4 and 5 as they did not backport the upstream commit d03032af that introduced this issue. Future kernel updates in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG may address this flaw.

Comment 4 errata-xmlrpc 2011-03-10 20:05:04 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html

Comment 5 errata-xmlrpc 2011-04-08 02:57:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0421 https://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 6 marthasimons2 2019-03-26 07:01:42 UTC
State: DISCONNECTED -> SCANNING
Starting AP scan for wildcard SSID
Scan requested (ret=0) - scan timeout 5 seconds
EAPOL: disable timer tick
EAPOL: Supplicant port status: Unauthorized
Scan timeout - try to get results
Failed to get scan results
Failed to get scan results - try scanning again
Setting scan request: 1 sec 0 usec
Starting AP scan for wildcard SSID
Scan requested (ret=-1) - scan timeout 5 seconds
Failed to initiate AP scan.

Via RHSA-2011:0421 https://goo.gl/nuKiGX


Note You need to log in before you can comment on or make changes to this bug.